Page MenuHomePhabricator

[Regression pre-wmf.12] Cannot open any citation dialog or insert a new one
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to Insert>Template
  2. Search for a template to add and click on "Add Template: button.

The following error appears on the console.

Uncaught TypeError: this.outlineItem.setIndicator(...).setTitle is not a function

Also happens when you click on "Edit" button on the context menu to edit an existing template

Event Timeline

Ryasmeen created this task.Jan 4 2019, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2019, 9:06 PM

@Schnark Thanks, same cause yes.

Thanks for investigating. For now I'll just revert the VE patch that exposed the issue (https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/482127).

Change 482704 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Revert "Replace deprecated setIndicatorTitle with setTitle"

https://gerrit.wikimedia.org/r/482704

matmarex triaged this task as Unbreak Now! priority.Jan 7 2019, 9:14 PM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJan 7 2019, 9:14 PM

Change 482704 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Revert "Replace deprecated setIndicatorTitle with setTitle"

https://gerrit.wikimedia.org/r/482704

Ryasmeen edited projects, added Verified; removed Patch-For-Review.Jan 8 2019, 8:03 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
greg lowered the priority of this task from Unbreak Now! to High.Jan 15 2019, 6:40 AM
greg added a subscriber: greg.

Setting to High now that the code is merged and ya'll are just waiting for PO review.

marcella closed this task as Resolved.Jan 15 2019, 2:24 PM
marcella claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 15 2019, 2:24 PM